Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group

From: Jamie Forth <[email-masked]>
Date: Wed, 16 Oct 2019 11:50:23 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> How very odd.  I have the same setup, but with a real IMAP server, and
> not nnimap-shell-program, but that shouldn't make a difference.

I’ve just tried with a real IMAP server and an confirm it makes no
difference – expired articles in virtual groups do not get expired.

> I've stared at the code some more, but I can't find out why the
> expirable marks go missing.
>
> Would it be possible for you to edebug through parts of
> gnus-summary-exit to see when the expirable marks disappear?

There expire marks disappear where I think they are supposed to.

  ;; Make all changes in this group permanent.
    (unless quit-config
      (gnus-run-hooks 'gnus-exit-group-hook)
      (gnus-summary-update-info))  <-- Here

What I tried was:
1. enter vg and mark some articles `E`.
2. (gnus-summary-update-info)
3. (gnus-info-marks (gnus-get-info "nnvirtual:vg-test"))

The same thing happens in a non-virtual group, except then when I
re-enter the group the previously marked articles have been correctly
expired.

--
Jamie